<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import IBIZUNIProductGridView9Base from './ibizuniproduct-grid-view9-base.vue';

import view_grid from '@widgets/ibizuniproduct/main-grid/main-grid.vue';
@Component({
    components: {
        view_grid, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class IBIZUNIProductGridView9 extends IBIZUNIProductGridView9Base {

}
</script>